跳到主要内容

查询我领到的赠予

GET/research/gifts/received在线调试
GET https://api.shengkezhi.com/open/v1/research/gifts/received
等效 curl
curl "https://api.shengkezhi.com/open/v1/research/gifts/received" \
  -H "Authorization: Bearer sk_xxx"

GET /research/gifts/received — 查询我领到的赠予。

需在请求头携带 Authorization: Bearer sk_xxx。

响应 data​

字段类型必填说明
itemsGiftClaimRecord[]是—

GiftClaimRecord 字段​

字段类型必填说明
asset_typeGiftAssetType是—
claimed_atstring是—
from_user_idstring是—
gift_codestring是—
itemsGiftClaimItem[]是—
recipient_user_idstring是—

GiftAssetType 取值​

取值说明
problem-
factor_route-
strategy-

GiftClaimItem 字段​

字段类型必填说明
insertedboolean是—
namestring否领取方落地后的展示名;旧账本缺省时为空,由列表接口回填。
origin_codestring是—
origin_namestring否赠予方资产展示名;旧账本缺省时为空,由列表接口回填。
renamedboolean是—
target_codestring是—

调用示例​

curl -X GET "https://api.shengkezhi.com/open/v1/research/gifts/received" \
-H "Authorization: Bearer sk_xxx"
{
"code": 0,
"data": {
"items": [
{
"asset_type": "problem",
"claimed_at": "2026-09-13T10:00:00Z",
"from_user_id": "01EXAMPLE000000000000000000",
"gift_code": "GIFT-8K3M2P",
"items": [
{
"inserted": true,
"origin_code": "STS_MOMENTUM_001",
"renamed": false,
"target_code": "STS_MOMENTUM_001"
}
],
"recipient_user_id": "01EXAMPLE000000000000000000"
}
]
},
"msg": "ok"
}```